| LicenseSpring Management .Net SDK 1.15.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LicenseSpring.BaseService Class Referenceabstract

Base class for services. Implements `IService` interface. More...

Inheritance diagram for LicenseSpring.BaseService:

## Public Member Functions
void | Initialize (ManagementConfiguration configuration)
  | Initialize management service with given configuration. Parameters
  configuration | ManagementConfiguration object to use
  Exceptions
  System.ArgumentNullException | Thrown when configuration is null
bool | IsInitialized ()
| Check whether management service has been initialized. Returns True if management service has been initialized and ready to use or false otherwise
bool | IsOnline (bool throwExceptions=false)
  | Helper method, it checks connection to the LicenseSpring platform. Parameters
  throwExceptions | Boolean value indicating whether this method should throw exceptions, by default it's false.
  Returns True if SDK is able to connect to the LicenseSpring platform and false otherwise. Exceptions
  System.InvalidOperationException | Thrown when license manager is not initialized
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.

## Detailed Description

Base class for services. Implements `IService` interface.

## Member Function Documentation

## ◆ Initialize()

void LicenseSpring.BaseService.Initialize | ( | ManagementConfiguration | configuration | ) |

Initialize management service with given configuration.

Parameters

  configuration | ManagementConfiguration object to use

Exceptions

  System.ArgumentNullException | Thrown when configuration is null

Implements LicenseSpring.IService.

## ◆ IsInitialized()

bool LicenseSpring.BaseService.IsInitialized | ( |  | ) |

Check whether management service has been initialized.

Returns
  True if management service has been initialized and ready to use or false otherwise

Implements LicenseSpring.IService.

## ◆ IsOnline()

bool LicenseSpring.BaseService.IsOnline | ( | bool | throwExceptions = `false` | ) |

Helper method, it checks connection to the LicenseSpring platform.

Parameters

  throwExceptions | Boolean value indicating whether this method should throw exceptions, by default it's false.

Returns
  True if SDK is able to connect to the LicenseSpring platform and false otherwise.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.

Implements LicenseSpring.IService.

The documentation for this class was generated from the following file:

- BaseService.cs